ch.qos.logback.core.rolling.helper

## Class IntegerTokenConverter

- java.lang.Object
- - ch.qos.logback.core.pattern.Converter<E>
  - - ch.qos.logback.core.pattern.FormattingConverter<E>
    - - ch.qos.logback.core.pattern.DynamicConverter
      - - ch.qos.logback.core.rolling.helper.IntegerTokenConverter

All Implemented Interfaces:
  MonoTypedConverter, ContextAware, LifeCycle

    public class IntegerTokenConverter
    extends DynamicConverter
    implements MonoTypedConverter

When asked to convert an integer, `IntegerTokenConverter` the string value of that integer.

Author:
  Ceki Gulcu

### Field Summary

Fields
`static java.lang.String` `CONVERTER_KEY`

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

### Constructor Summary

Constructors
Constructor and Description
`IntegerTokenConverter()`

### Method Summary

Methods
`java.lang.String` `convert(int i)`
`java.lang.String` `convert(java.lang.Object o)` The convert method is responsible for extracting data from the event and storing it for later use by the write method.
`boolean` `isApplicable(java.lang.Object o)`

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getFirstOption, getOptionList, isStarted, setContext, setOptionList, start, stop`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONVERTER_KEY

    public static final java.lang.String CONVERTER_KEY

See Also:
  Constant Field Values

### Constructor Detail

#### IntegerTokenConverter

    public IntegerTokenConverter()

### Method Detail

#### convert

    public java.lang.String convert(int i)

#### convert

    public java.lang.String convert(java.lang.Object o)

Description copied from class: `Converter`
The convert method is responsible for extracting data from the event and storing it for later use by the write method.

Specified by:
  `convert` in class `Converter`

#### isApplicable

    public boolean isApplicable(java.lang.Object o)

Specified by:
  `isApplicable` in interface `MonoTypedConverter`